pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Can I update wip/py-pcapy?

On Wed, 18 May 2011 04:31:35 +0900, Alexander Nasonov 
<> wrote:

The patch below updates py-pcapy to 0.10.5, removes a kludge for
NetBSD 1.6.1-stable, adds destdir support and a license.

For kludge for old NetBSD, we can use followings in these days.

BUILDLINK_API_DEPENDS.libpcap+= libpcap>=0.7.2

I'm a bit unsure about the license. It's apache 1.1 with substitutions
in company a product names and without the trailer in

 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Apache Software Foundation.  For more
 * information on the Apache Software Foundation, please see
 * <>.
 * Portions of this software are based upon public domain software
 * originally written at the National Center for Supercomputing Applications,
 * University of Illinois, Urbana-Champaign.

Pcapy page states that "This software is provided under a slightly
modified version of the Apache Software License. Feel free to review it
here and compare it to the official Apache Software License."

I take the _slightly modified_ words from the authoritative source
as a "license" to set LICENSE=apache-1.1 in the package Makefile.

I feel it is reasonable to cut trailer parts because it is not match
for out of ASF (and its softwares).

OBATA Akio /

Home | Main Index | Thread Index | Old Index